Fix Cannot Determine Postgis (Solved)

Home > Cannot Determine > Cannot Determine Postgis

Cannot Determine Postgis

Contents

I did set the SITEURL in local_settings.py as before the update. GeoDjango requires at least PostGIS version 1.3. more hot questions question feed lang-sql about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Was the database created from a spatial database template? http://inviewsoftware.com/cannot-determine/cannot-determine-postgis-version-for-database.html

Where is that to configure? GeoDjango requires at least PostGIS version 1.3. Any hints, how to solve this? But it dit not solve the above problem.

Postgis Django

See Step 1 from the article. Why put a warning sticker over the warning on this product? Join them; it only takes a minute: Sign up My PostGIS database looks fine but GeoDjango thinks otherwise… why? Free forum by Nabble Edit this page

asked 4 years ago viewed 4003 times active 1 year ago Get the weekly newsletter! Example output: $ psql test psql (9.0.4) Type "help" for help. Where is that to configure? Where is that to configure?

What is a unifier? Is adding the ‘tbl’ prefix to table names really a problem? Puede desear agregar conversión explícita de tipos. GeoDjango requires at least PostGIS version 1.3.

For this particular issue, you only need to add this line: POSTGIS_VERSION = ( 2, 1 ) using the comma separated number for your PostGIS version to settings.py. Join them; it only takes a minute: Sign up geodjango with postgis would not work up vote 3 down vote favorite 2 I am new to geodjango, I have the following I was blind looking for that line in local_settings.py, did not see it... Not the answer you're looking for?

  1. Close Save OSGeo.org › OSGeo Software Projects › GeoNode › GeoNode users Search everywhere only in this topic Advanced Search Problems after Upgrade ‹ Previous Topic Next Topic › Classic
  2. I now need to add my server to ALLOWED_HOSTS: [Tue Mar 17 04:24:02.116194 2015] [:error] [pid 1224:tid 140153217300224] Invalid HTTP_HOST header: 'localhost'.You may need to add u'localhost' to ALLOWED_HOSTS.
  3. Not used with sqlite3. } } INSTALLED_APPS = ( 'django.contrib.auth', 'django.contrib.contenttypes', 'django.contrib.sessions', 'django.contrib.sites', 'django.contrib.messages', 'django.contrib.staticfiles', 'django.contrib.gis', 'django.contrib.admin', 'django.contrib.admindocs', 'django.contrib.gis', "app.core", ) and I have created the db with following command: [email protected]:~$
  4. Thanks for reading anyway.
  5. Was the database created from a spatial database template?
  6. django postgresql postgis geodjango share|improve this question edited Sep 10 '15 at 17:03 JJD 17.1k24113182 asked May 14 '12 at 14:01 Phil Gyford 1,99012053 I had the same problem
  7. Full traceback: Traceback (most recent call last): File "manage.py", line 11, in execute_from_command_line(sys.argv) File "/home/user/app/venv/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 399, in execute_from_command_line utility.execute() File "/home/user/app/venv/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 392, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/home/user/app/venv/local/lib/python2.7/site-packages/django/core/management/base.py", line
  8. Thanks! –Anuj Gupta Oct 15 '12 at 13:25 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign up using Facebook
  9. Interesting though, that on commandline 'geonode updatelayers' seems to execute without errors.

Install Postgis

To use Google Groups Discussions, please enable JavaScript in your browser settings, and then refresh this page. . his comment is here What is the text to the left of a command (as typed in a terminal) called? Postgis Django On 1941 Dec 7, could Japan have destroyed the Panama Canal instead of Pearl Harbor in a surprise attack? http://www.chicagodjango.com/blog/geo-django-quickstart/ Looking at your question above, it's hard to tell exactly what the issue is.

Thanks. have a peek at these guys I have this (scary) message in my logs: [Tue Mar 17 03:59:59.676955 2015] [:error] [pid 1671:tid 139799543056128] [remote 127.0.0.1:60324] ImproperlyConfigured: Cannot determine PostGIS version for database "geonode_data". Any ideas? If the output is silent (e.g.

As a first debugging step: try to check the postgis template version manually, e.g. GeoDjango requires at least PostGIS version 1.3. Add-in salt to injury? check over here It simply couldn't read the setting –BenjaminGolder Jan 16 '14 at 20:22 @BenjaminGolder - that solved my problem as well...

My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages To use Google Groups Discussions, please enable JavaScript in your browser settings, and then refresh this page. . That solved the PostGIS problem. This is my pillow Am I interrupting my husband's parenting?

Hot Network Questions How can a Cleric be proficient in warhammers?

How are the functions used in cryptographic hash functions chosen? Hot Network Questions Connecting sino japanese verbs What is the text to the left of a command (as typed in a terminal) called? I'd still like to understand why geodjango can't work it out by itself though... django_debug_toolbar debug_toolbar/utils/tracking/db.py django - Postgis / Geodjango: Cannot determine PostGIS version for dat...

when the database seems to be a perfectly valid PostGIS database) it has turned out that there's been an error in DATABASES in settings.py. How can I check to see if a process is stopped from the command-line? Teenage daughter refusing to go to school Why is this C++ code faster than my hand-written assembly for testing the Collatz conjecture? http://inviewsoftware.com/cannot-determine/cannot-determine-location-ios-7.html If a ring R with 1 has characteristic 0.

I changed one method signature and broke 25,000 other classes. Upgrading to 3.3.6 fixed the issue (and also tested 3.3.3 which is fine). Connect with psql and run \l . –Craig Ringer Aug 22 '12 at 3:48 Does your database have the tables 'geometry_columns' and 'spatial_ref_sys'? –RickyA Aug 22 '12 at 15:12 Is it acceptable to ask an unknown professor outside my dept for help in a related field during his office hours?

We rely on many external libraries, and there's no way we could cover the step-by-step installation on every possible system and configuration. more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Solutions?